Bug 731414

Summary: SELinux is preventing systemd-logind from 'setattr' accesses on the chr_file 003.
Product: [Fedora] Fedora Reporter: bsfmig <bigslowfat>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: Dietrich.Lolz, dominick.grift, dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:e9d9de256e2d8707db04cee665f91ffc9a43c0b966646bc3e92e44f3f4eedc82
Fixed In Version: selinux-policy-3.10.0-25.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-13 06:08:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description bsfmig 2011-08-17 15:07:11 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.0.1-3.fc16.x86_64
reason:         SELinux is preventing systemd-logind from 'setattr' accesses on the chr_file 003.
time:           Wed Aug 17 15:06:55 2011

Comment 1 Miroslav Grepl 2011-08-22 10:18:45 UTC
Could you add raw AVC msg which you see.

Comment 2 bsfmig 2011-08-24 10:16:42 UTC
Additional Information:
源上下文                          system_u:system_r:systemd_logind_t:s0
目标上下文                         system_u:object_r:usb_device_t:s0
目标对象                          003 [ chr_file ]
源                             systemd-logind
源路径                           systemd-logind
端口                            <未知>
主机                            poo
源 RPM 软件包                     
目标 RPM 软件包                    
策略 RPM                        selinux-policy-3.10.0-18.fc16
启用 Selinux                    True
策略类型                          targeted
Enforcing 模式                  Enforcing
主机名                           poo
平台                            Linux poo 3.0.1-3.fc16.x86_64 #1 SMP Mon Aug 8
                              18:13:59 UTC 2011 x86_64 x86_64
警报计数                          15
第一个                           2011年08月17日 星期三 15时02分19秒
最后一个                          2011年08月17日 星期三 15时10分57秒
本地 ID                         f2024ebe-2ba0-47db-adc5-86936fc7decf

raw AVC msg:
type=AVC msg=audit(1313565057.443:188): avc:  denied  { setattr } for  pid=877 comm="systemd-logind" name="003" dev=devtmpfs ino=1073 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:usb_device_t:s0 tclass=chr_file


Hash: systemd-logind,systemd_logind_t,usb_device_t,chr_file,setattr

audit2allow

#============= systemd_logind_t ==============
allow systemd_logind_t usb_device_t:chr_file setattr;

audit2allow -R

#============= systemd_logind_t ==============
allow systemd_logind_t usb_device_t:chr_file setattr;

Comment 3 Daniel Walsh 2011-08-26 21:33:04 UTC
Fixed in selinux-policy-3.10.0-22.fc16

Comment 4 Fedora Update System 2011-09-08 08:04:51 UTC
selinux-policy-3.10.0-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16

Comment 5 Fedora Update System 2011-09-08 20:51:12 UTC
Package selinux-policy-3.10.0-25.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-25.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-13 06:07:34 UTC
selinux-policy-3.10.0-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.